%form matrices
function [K,C,A] = getmat(Inc,edge)

[N,N] = size(Inc);
ne = length(edge);

C = sym(zeros(ne,ne));
A = zeros(ne,N);
K = sym(zeros(N,N));

for k = 1:ne   
   %define C
   eval(['syms e_' num2str(k) ' real']);
   C(k,k) = eval(['e_' num2str(k)]);
   
   %define part of K
   K(edge(k).i,edge(k).j) = eval(['-e_' num2str(k)]);
   
   %define A (edge-node incidence matrix)
   A(k,edge(k).i) = 1;
   A(k,edge(k).j) = -1;  
end

%finish defining K
K = K + K';
for q = 1:N   
   K(q,q) = -sum(K(q,:));
end





